Decline Connection
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/declineimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/decline"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "<string>",
"respondedAt": "<string>"
}Connection Endpoints
Decline Connection
Decline a pending connection request
PATCH
/
:projectId
/
api
/
v7
/
connections
/
:connectionId
/
decline
Decline Connection
Declines a pending connection request. Only the receiver of the original request can decline it. The connection record status is updated to
"declined" rather than being deleted.
Path Parameters
string
required
The ID (UUID) of the pending connection record to decline.
Response
On success, returns HTTP200:
string
Connection record ID.
string
"declined".string
ISO timestamp of when the request was declined.
Error Responses
Not Found — 404
Not Found — 404
{
"error": "Pending connection request not found.",
"code": "connection/not-found"
}
Unauthorized — 403
Unauthorized — 403
{
"error": "Only the receiver can decline a connection request.",
"code": "connection/unauthorized"
}
See Also
⌘I

